Introduction
============

Klout4j is a dead-simple Java library for accessing the [Klout API](http://developer.klout.com/api_gallery).

Building
--------

Klout4j is built and distributed with Maven. You can include it in your
project with the following dependency in your `pom.xml` file:

    <dependency>
      <groupId>klout4j</groupId>
      <artifactId>klout4j</artifactId>
      <version>0.6</version>
    </dependency>

It is not currently deployed to the central repository, so you must also
add the [TwitSprout](http://twitsprout.com) Maven repository to the
`repositories` section of your `pom.xml` file as well:

    <repository>
      <id>cloudbees-twitsprout-release-repository</id>
      <url>https://repository-twitsprout.forge.cloudbees.com/release/</url>
    </repository>

Usage
-----

Klout4j currently supports the `getKlout()`, `showUser()`, and `showUsers()` API
methods. In the very simplest case, you can simply call:

    Klout klout = new Klout(apiKey);
    KloutScore kloutScore = klout.getKlout("justinbieber");
    System.out.println("Justin Bieber has " + kloutScore.getKScore() + " Klout!");

Credits
-------

The Klout4j library was originally written by [Dan Checkoway](mailto:dcheckoway@gmail.com),
and the original version can still be found on its [Google Code project
page](http://code.google.com/p/klout4j/).
