package klout4j;

import java.io.Serializable;
import java.util.Map;

public class KloutScore implements Serializable {
	private final String twitterScreenName;
	private final double kscore;
	
	public KloutScore(Map<?, ?> attributes) {
		twitterScreenName = attributes.get("twitter_screen_name").toString();
		kscore = Double.parseDouble(attributes.get("kscore").toString());
	}
	
	public String getTwitterScreenName() {
		return twitterScreenName;
	}
	
	public double getKScore() {
		return kscore;
	}
	
	public String toString() {
		return "KloutScore[twitterScreenName=" + twitterScreenName +
				",kscore=" + kscore +
				"]";
	}
}
