package klout4j;

import java.io.Serializable;
import java.util.Map;

public class KloutUser implements Serializable {
    private final long twitterId;
    private final String twitterScreenName;
    private final KloutUserScore score;

    public KloutUser(Map<?,?> attributes) {
        twitterId = Long.parseLong(attributes.get("twitter_id").toString());
        twitterScreenName = attributes.get("twitter_screen_name").toString();
        score = new KloutUserScore((Map<?,?>)attributes.get("score"));
    }

    public long getTwitterId() {
        return twitterId;
    }

    public String getTwitterScreenName() {
        return twitterScreenName;
    }

    public KloutUserScore getScore() {
        return score;
    }

    public String toString() {
        return "KloutUser[twitterId=" + twitterId +
            ",twitterScreenName=" + twitterScreenName +
            ",score=" + score +
            "]";
    }
}
